# OgreResource.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreStringInterface.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Resource
| Abstract class reprensenting a loadable resource (e.g. More...
class | Ogre::Resource::Listener
class | Ogre::ManualResourceLoader
| Interface describing a manual resource loader. More...

## Typedefs

typedef unsigned long | Ogre::ResourceHandle
typedef SharedPtr < Resource > | Ogre::ResourcePtr
| Shared pointer to a Resource.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:06 2008